X-Sender: ddkilzer@mail.earthlink.net
In-Reply-To: <v03020902b1b59c9729dc@[128.32.144.85]>
References: <v03130300b1b4ce52eb41@[38.11.199.73]>
 <Pine.LNX.3.96.980622214428.139A-100000@lciii>
 <v03130300b1b3741f8c4d@[38.11.199.247]>
X-Files: Sundays at 8 PM CDT on Fox!
Date: Wed, 24 Jun 1998 01:09:49 -0500
To: Michael Schmitz <schmitzm@uclink4.berkeley.edu>
From: "David D. Kilzer" <ddkilzer@earthlink.net>
Subject: L68K: BUG FIX drivers/block/Config.in for 2.1.105 
Cc: linux-mac68k@wave.lm.com, linux-m68k@lists.linux-m68k.org
Sender: owner-linux-m68k@phil.uni-sb.de

>At 10:25 PM -0500 6/22/98, David D. Kilzer wrote:
>>I'm including my .config file below.  Anything else that I left out
>>incorrectly?  Please remember, ignorance is at work here.  :^)
>[...]
>>CONFIG_PARIDE_PARPORT=m
>># CONFIG_PARIDE is not set

Michael Schmitz wrote:
>You're optimistic to find a parallel port on your Mac?? Or is that a bug
>in the config.in?

This is a minor bug in drivers/block/Config.in for 2.1.105.  It's really
harmless because CONFIG_PARIDE_PARPORT doesn't result in any code being 
generated.

I'm not sure if this is fixed in 2.1.106.  (Someone apparently mistyped 
their "m"s and "n"s. :^)

Dave


--- linux-2.1.105-vanilla/drivers/block/Config.in	Thu Jun  4 13:25:11 1998
+++ linux-2.1.105/drivers/block/Config.in	Wed Jun 24 00:21:19 1998
@@ -117,10 +117,10 @@
 # PARIDE must also be a module.  The bogus CONFIG_PARIDE_PARPORT option
 # controls the choices given to the user ...
 
-if [ "$CONFIG_PARPORT" = "y" -o "$CONFIG_PARPORT" = "n" ] ; then
+if [ "$CONFIG_PARPORT" = "y" -o "$CONFIG_PARPORT" = "m" ] ; then
    define_bool CONFIG_PARIDE_PARPORT y
 else
-   define_bool CONFIG_PARIDE_PARPORT m
+   define_bool CONFIG_PARIDE_PARPORT n
 fi
 dep_tristate 'Parallel port IDE device support' CONFIG_PARIDE $CONFIG_PARIDE_PARPORT
 if [ "$CONFIG_PARIDE" = "y" -o "$CONFIG_PARIDE" = "m" ]; then


